Loading...
Searching...
No Matches
pappso::FilterOboPsiModSink Class Reference

`#include <filterobopsimodsink.h>`

Inheritance diagram for pappso::FilterOboPsiModSink:

## Public Member Functions

| FilterOboPsiModSink ()
virtual | ~FilterOboPsiModSink ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file
const OboPsiModTerm & | getOne ()
const OboPsiModTerm & | getFirst ()
std::size_t | size ()
const std::list< OboPsiModTerm > & | getOboPsiModTermList ()

## Private Attributes

std::list< OboPsiModTerm > | m_oboPsiModTermList

## Detailed Description

Definition at line 35 of file filterobopsimodsink.h.

## Constructor & Destructor Documentation

## FilterOboPsiModSink()

pappso::FilterOboPsiModSink::FilterOboPsiModSink | ( |  | ) |

Definition at line 29 of file filterobopsimodsink.cpp.

{
}

## ~FilterOboPsiModSink()

pappso::FilterOboPsiModSink::~FilterOboPsiModSink | ( |  | ) |

virtual

Definition at line 33 of file filterobopsimodsink.cpp.

{
}

## Member Function Documentation

## getFirst()

const OboPsiModTerm & pappso::FilterOboPsiModSink::getFirst | ( |  | ) |

Definition at line 68 of file filterobopsimodsink.cpp.

{
if(m_oboPsiModTermList.size() == 0)
{
throw ExceptionNotFound(QObject::tr("OBO term list is empty"));
}
else
{
return *m_oboPsiModTermList.begin();
}
}
pappso::FilterOboPsiModSink::m_oboPsiModTermList
std::list< OboPsiModTerm > m_oboPsiModTermList
Definition filterobopsimodsink.h:52

References m_oboPsiModTermList.

Referenced by pappso::PeptideStrParser::parseStringToPeptide().

## getOboPsiModTermList()

const std::list< OboPsiModTerm > & pappso::FilterOboPsiModSink::getOboPsiModTermList | ( |  | ) |

Definition at line 38 of file filterobopsimodsink.cpp.

{
return m_oboPsiModTermList;
}

References m_oboPsiModTermList.

## getOne()

const OboPsiModTerm & pappso::FilterOboPsiModSink::getOne | ( |  | ) |

Definition at line 50 of file filterobopsimodsink.cpp.

{
if(m_oboPsiModTermList.size() == 1)
{
return *m_oboPsiModTermList.begin();
}
if(m_oboPsiModTermList.size() == 0)
{
throw ExceptionNotFound(QObject::tr("OBO term list is empty"));
}
else
{
throw ExceptionNotFound(
QObject::tr("Too much OBO terms in list (size = %1)").arg(m_oboPsiModTermList.size()));
}
}

References m_oboPsiModTermList.

Referenced by pappso::AaModification::createInstance().

## setOboPsiModTerm()

void pappso::FilterOboPsiModSink::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 44 of file filterobopsimodsink.cpp.

{
m_oboPsiModTermList.push_back(term);
}

References m_oboPsiModTermList.

## size()

std::size_t pappso::FilterOboPsiModSink::size | ( |  | ) |

Definition at line 83 of file filterobopsimodsink.cpp.

{
return m_oboPsiModTermList.size();
}

References m_oboPsiModTermList.

## Member Data Documentation

## m_oboPsiModTermList

std::list<OboPsiModTerm> pappso::FilterOboPsiModSink::m_oboPsiModTermList

private

Definition at line 52 of file filterobopsimodsink.h.

Referenced by getFirst(), getOboPsiModTermList(), getOne(), setOboPsiModTerm(), and size().

The documentation for this class was generated from the following files:

- pappsomspp/core/obo/filterobopsimodsink.h
- pappsomspp/core/obo/filterobopsimodsink.cpp